Subject: Re: Git Confusion

From: Jakub Narebski <[email-masked]>
Date: Fri, 29 May 2009 06:44:26 -0700 (PDT)

Jeff King <[email-masked]> writes:
> On Fri, May 29, 2009 at 12:43:35AM -0700, Paul Tarjan wrote:
> 
> > I'm new to git and probably doing something very dumb, but I can't
> > seem to resolve this.
> > 
> > I have a remote repository and a local one. I ssh to the remote
> > machine, goto the repository directory (not a bare repository), edit a
> > file and commit it. All if fine.
> > 
> > I leave the remote host and go into the local git directory. Doing
> > "git pull origin master" says "Already up-to-date." but there is a
> > file I changed remotely, and I want to pull it locally!
> > 
> > The local repo was made with "git clone http://example.com/.git". I
> > have no branching (both are on master).
> 
> Your repository is accessed over http.  You need to run "git
> update-server-info" to build the files for clients to see the actual
> updates.
> 
> Usually such a repo is bare, and gets updates only by push. In that
> case, enabling the update hook to run update-server-info is sufficient.
> But in your case, you are actually working on the remote repo via commit
> and other means, so there is no convenient way to always
> update-server-info after a change.

Well, he can always add git-update-server-info to post-commit hook.

> 
> Is there a particular reason you cloned over http instead of over ssh?

Or git protocol?

-- 
Jakub Narebski
Poland
ShadeHawk on #git